Package docking

# Class MenuBarMenuHandler

java.lang.Object
docking.menu.MenuHandler
docking.MenuBarMenuHandler

All Implemented Interfaces:
  `EventListener`, `MenuListener`, `PopupMenuListener`

public class MenuBarMenuHandler extends MenuHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MenuBarMenuHandler(DockingWindowManager windowManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `menuItemEntered(DockingActionIf action)`
  Invoked when the mouse highlights a menu item.
  `void`
  `menuItemExited(DockingActionIf action)`
  Invoked when the mouse exits a menu item.
  `void`
  `processMenuAction(DockingActionIf action, ActionEvent event)`
  Invoked when a menu action item is selected.

  ### Methods inherited from class docking.menu.MenuHandler

  `menuCanceled, menuDeselected, menuSelected, popupMenuCanceled, popupMenuWillBecomeInvisible, popupMenuWillBecomeVisible`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MenuBarMenuHandler

    public MenuBarMenuHandler(DockingWindowManager windowManager)

- ## Method Details

  - ### menuItemEntered

    public void menuItemEntered(DockingActionIf action)
    Description copied from class: `MenuHandler`
    Invoked when the mouse highlights a menu item.
    Overrides:
      `menuItemEntered` in class `MenuHandler`
    Parameters:
      `action` - associated action.

  - ### menuItemExited

    public void menuItemExited(DockingActionIf action)
    Description copied from class: `MenuHandler`
    Invoked when the mouse exits a menu item.
    Overrides:
      `menuItemExited` in class `MenuHandler`
    Parameters:
      `action` - associated action.

  - ### processMenuAction

    public void processMenuAction(DockingActionIf action, ActionEvent event)
    Description copied from class: `MenuHandler`
    Invoked when a menu action item is selected.
    Overrides:
      `processMenuAction` in class `MenuHandler`
    Parameters:
      `action` - associated action.
      `event` - event details.